#
# spec file for package gap-qpa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-qpa
Version:        1.27
Release:        lp151.2.1
Summary:        GAP: Quivers and Path Algebras
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://www.math.ntnu.no/~oyvinso/QPA/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/qpa-version-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.5
Requires:       gap-gbnp >= 0.9.5

%description
The QPA package provides data structures and algorithms for doing
computations with finite dimensional quotients of path algebras, and
finitely generated modules over such algebras. The current version of
the QPA package has data structures for quivers, quotients of path
algebras, and modules, homomorphisms and complexes of modules over
quotients of path algebras.

%prep
%setup -qn qpa-%version

%build

%install
%gappkg_simple_install
find "%buildroot" -type f "(" -name "*.g?" -o -name "*.xml" ")" \
	-exec chmod a-x "{}" "+"

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 1.27
  * Added functions: IsPosetAlgebra IsNthSyzygy
    PartialOrderOfPoset Poset PosetAlgebra PosetOfPosetAlgebra
    RestrictionViaAlgebraHomomorphism TensorAlgebraInclusion
    TrivialExtensionOfQuiverAlgebraLevel
  * Removed functions: PositionsProperty (moved from QPA to GAP)
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 1.26
  * Added new functions: AlmostSplitSequence,
    AlmostSplitSequenceInPerpT, ElementInIndecProjective,
    IsTriangularReduced, TensorProductOfModules.
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 1.25
  * Added new functions: InjectiveEnvelope, InjectiveResolution,
    LeftApproximationByAddTHat, ReadAlgebra, RejectOfModule,
    RightApproximationByPerpT, SaveAlgebra
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 1.24
  * Delete the file banner.g, as this file now is absolete.
* Tue Dec  8 2015 jengelh@inai.de
- Initial package (version 1.23) for build.opensuse.org
